English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# Descriptor Module Functions (Experimental)

The `protorpc.remote` package provides the following functions:

is_error_status(status)

  Determines whether the RPC status is an error.

  Arguments:

  status
    Initialized RpcStatus message to check for errors.
check_rpc_status(status)

  Converts an error status to a raised exception.

  Arguments:

  status
    Initialized RpcStatus message to check for errors.

  Raises an RpcError if the state of `status` is an error.

method(request_type=message_types.VoidMessage, response_type=message_types.VoidMessage)

  Decorates a method for making the method remote.

  Arguments:

  request_type=message_types.VoidMessage
    Message type of the expected request.
  response_type=message_types.VoidMessage
    Message type of the expected response.

  Returns a decorated remote method. The remote method will include a `remote` attribute with the following properties:

  method
    The original, undecorated method
  request_type
    Message type of the expected request.
  response_type
    Message type of the expected response.

  Raises an TypeError if the `request_type` or `response_type` parameters are not proper subclasses of messages.Message.

get_remote_method(method)

  For remote methods, returns a remote method information object, else None.

  Arguments:

  method
    The method to get.